CMSIS-NN: arm_nnexamples_cifar10_parameter.h File Reference

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Macros
arm_nnexamples_cifar10_parameter.h File Reference

## Macros

#define | CONV1_IM_DIM
#define | CONV1_IM_CH
#define | CONV1_KER_DIM
#define | CONV1_PADDING
#define | CONV1_STRIDE
#define | CONV1_OUT_CH
#define | CONV1_OUT_DIM
#define | POOL1_KER_DIM
#define | POOL1_STRIDE
#define | POOL1_PADDING
#define | POOL1_OUT_DIM
#define | CONV2_IM_DIM
#define | CONV2_IM_CH
#define | CONV2_KER_DIM
#define | CONV2_PADDING
#define | CONV2_STRIDE
#define | CONV2_OUT_CH
#define | CONV2_OUT_DIM
#define | POOL2_KER_DIM
#define | POOL2_STRIDE
#define | POOL2_PADDING
#define | POOL2_OUT_DIM
#define | CONV3_IM_DIM
#define | CONV3_IM_CH
#define | CONV3_KER_DIM
#define | CONV3_PADDING
#define | CONV3_STRIDE
#define | CONV3_OUT_CH
#define | CONV3_OUT_DIM
#define | POOL3_KER_DIM
#define | POOL3_STRIDE
#define | POOL3_PADDING
#define | POOL3_OUT_DIM
#define | IP1_DIM
#define | IP1_IM_DIM
#define | IP1_IM_CH
#define | IP1_OUT

## Macro Definition Documentation

#define CONV1_IM_CH

Referenced by main().

#define CONV1_IM_DIM

Referenced by main().

#define CONV1_KER_DIM

Referenced by main().

#define CONV1_OUT_CH

Referenced by main().

#define CONV1_OUT_DIM

Referenced by main().

#define CONV1_PADDING

Referenced by main().

#define CONV1_STRIDE

Referenced by main().

#define CONV2_IM_CH

Referenced by main().

#define CONV2_IM_DIM

Referenced by main().

#define CONV2_KER_DIM

Referenced by main().

#define CONV2_OUT_CH

Referenced by main().

#define CONV2_OUT_DIM

Referenced by main().

#define CONV2_PADDING

Referenced by main().

#define CONV2_STRIDE

Referenced by main().

#define CONV3_IM_CH

Referenced by main().

#define CONV3_IM_DIM

Referenced by main().

#define CONV3_KER_DIM

Referenced by main().

#define CONV3_OUT_CH

Referenced by main().

#define CONV3_OUT_DIM

Referenced by main().

#define CONV3_PADDING

Referenced by main().

#define CONV3_STRIDE

Referenced by main().

#define IP1_DIM

Referenced by main().

#define IP1_IM_CH

#define IP1_IM_DIM

#define IP1_OUT

Referenced by main().

#define POOL1_KER_DIM

Referenced by main().

#define POOL1_OUT_DIM

Referenced by main().

#define POOL1_PADDING

Referenced by main().

#define POOL1_STRIDE

Referenced by main().

#define POOL2_KER_DIM

Referenced by main().

#define POOL2_OUT_DIM

Referenced by main().

#define POOL2_PADDING

Referenced by main().

#define POOL2_STRIDE

Referenced by main().

#define POOL3_KER_DIM

Referenced by main().

#define POOL3_OUT_DIM

Referenced by main().

#define POOL3_PADDING

Referenced by main().

#define POOL3_STRIDE

Referenced by main().